<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.t1.ktitov.tm</groupId>
    <artifactId>task-manager</artifactId>
	<version>1.32.0</version>
	<packaging>pom</packaging>
	<name>TASK MANAGER</name>

	<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
	
    <developers>
        <developer>
            <id>ktitov</id>
            <name>Titov Kirill</name>
            <email>kir.titoff@gmail.com</email>
            <url>http://www.ktitov-test.com</url>
        </developer>
    </developers>

	<modules>
		<module>tm-server</module>
		<module>tm-client</module>
		<module>tm-domain</module>
        <module>tm-logger-consumer</module>
        <module>tm-web</module>
    </modules>
    

    <build>
		<plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.2</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
